cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nikolai Raitsev" <nikolai.rait...@gmail.com>
Subject Re: objectFromDataRow(String, DataRow) exist not in cayenne-1.2
Date Thu, 03 Aug 2006 12:13:15 GMT
I am a nincompoop:))

thats right, I used wrong package,

thank you, mike

2006/8/3, Mike Kienenberger <mkienenb@gmail.com>:
>
> On 8/3/06, Nikolai Raitsev <nikolai.raitsev@gmail.com> wrote:
> > DataContext.objectFromDataRow(String, DataRow) exist not in cayenne-1.2(is
> > however described here http://cwiki.apache.org/CAYDOC/data-rows.html
> > and in local User-Guide from download package cayenne-1.2)
> >
> > it exists a method objectFromDataRow(Class, DataRow, boolean), but i
> have a
> > problem with it:
> >
> > dataObjectInt = dataContext.objectFromDataRow( MyClass.class, (DataRow)
> row,
> > true);
> >
> > the error message is (from eclipse 3.2):
> >
> > "The method objectFromDataRow(Class, DataRow, boolean) in the type
> > DataContext is not applicable for the arguments (Class, DataRow,
> boolean)"
>
> Are you using the right package for DataRow?   Maybe you're importing
> some other DataRow class (I don't see how the package could be wrong
> for Class or boolean).
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message